> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Get all owners

GET https://api.propexo.com/v1/owners/

Get all owners

Reference: https://docs.propexo.com/api-reference/rent-manager/owners/get-all-owners

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Query parameters

- `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
- `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results
- `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query
- `location_id` (string, optional) — The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
- `property_id` (string, optional) — The Propexo unique identifier for the property
- `integration_id` (string, optional) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, optional) — The property management system of record
  - Allowed values: `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST`

## Response

### 200

Successful response

- `meta` (ResponseMeta, required)
- `results` (list of Owner, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### ResponseMeta

- `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results
- `offset` (integer, optional) — The offset of the first result
- `limit` (integer, optional) — The number of results to return
- `hasMore` (boolean, optional, nullable) — Whether there are more results
- `total` (integer, optional) — The total number of results

### Owner

- `id` (string, required) — The Propexo unique identifier for the owner
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor | Method | |---| | GET /Owners |
- `x_property_id` (string, required) — The external ID of the property from the integration vendor | Method | |---| | GET /Owners |
- `x_location_id` (string, required, nullable) — The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations. | Method | |---| | GET /Owners |
- `address_1` (string, required, nullable) — The first address line associated with the ownerAddress fields on owners in Rent Manager are the first address entry for the owner, but there can be more. If you'd like more addresses, please contact Propexo support. | Method | | ----------- | | GET /Owners |
- `address_2` (any, required) — The second address line associated with the ownerThis field will always be null for RENTMANAGER
- `city` (string, required, nullable) — The city associated with the ownerAddress fields on owners in Rent Manager are the first address entry for the owner, but there can be more. If you'd like more addresses, please contact Propexo support. | Method | | ----------- | | GET /Owners |
- `country` (any, required) — The country associated with the ownerThis field will always be null for RENTMANAGER
- `state` (string, required, nullable) — The state associated with the ownerAddress fields on owners in Rent Manager are the first address entry for the owner, but there can be more. If you'd like more addresses, please contact Propexo support. | Method | | ----------- | | GET /Owners |
- `zip` (string, required, nullable) — The zip code associated with the ownerAddress fields on owners in Rent Manager are the first address entry for the owner, but there can be more. If you'd like more addresses, please contact Propexo support. | Method | | ----------- | | GET /Owners |
- `first_name` (string, required, nullable) — The first name associated with the owner | Method | |---| | GET /Owners |
- `middle_name` (string, required, nullable) — The middle name associated with the owner | Method | |---| | GET /Owners |
- `last_name` (string, required, nullable) — The last name associated with the owner | Method | |---| | GET /Owners |
- `company_name` (string, required, nullable) — The name of the company associated with the owner | Method | |---| | GET /Owners |
- `notes` (string, required, nullable) — Notes associated with the owner | Method | |---| | GET /Owners |
- `email_1` (string, required, nullable) — The primary email address associated with the owner | Method | |---| | GET /Owners |
- `email_2` (any, required) — The secondary email address associated with the ownerThis field will always be null for RENTMANAGER
- `phone_1` (string, required, nullable) — Primary phone number associated with the owner | Method | |---| | GET /Owners |
- `phone_1_type` (enum, required) — Type of the primary phone number | Method | |---| | GET /Owners |
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `phone_2` (string, required, nullable) — Secondary phone number associated with the owner | Method | |---| | GET /Owners |
- `phone_2_type` (enum, required) — Type of the secondary phone number | Method | |---| | GET /Owners |
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `associated_property_ids` (list of string, required) — The property IDs associated with the owner | Method | |---| | GET /Owners |
- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, required) — The property management system of record
  - Allowed values: `RENTMANAGER`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST`
- `property_id` (string, required) — The Propexo unique identifier for the property

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### ResponseMetaOrderByItems

## Examples

**Response**

```json
{
  "meta": {
    "orderBy": [
      {}
    ],
    "offset": 0,
    "limit": 100,
    "hasMore": true,
    "total": 1000
  },
  "results": [
    {
      "id": "clwktsp9v000008l31iv218hn",
      "created_at": "2024-03-21T15:38:08.337Z",
      "updated_at": "2024-03-22T10:59:45.119Z",
      "last_seen": "2024-03-22T10:59:45.119Z",
      "x_id": "780",
      "x_property_id": "78",
      "x_location_id": "6",
      "address_1": "123 West Ave",
      "address_2": null,
      "city": "Miami",
      "country": null,
      "state": "FL",
      "zip": "17892",
      "first_name": "John",
      "middle_name": "Wilson",
      "last_name": "Doe",
      "company_name": "John's Family Rentals",
      "notes": "Is a new owner.",
      "email_1": "john.doe@example.com",
      "email_2": null,
      "phone_1": "(555) 555-5555",
      "phone_1_type": "MOBILE",
      "phone_2": "(555) 555-5554",
      "phone_2_type": "FAX",
      "associated_property_ids": [
        "cmawympzl52480525661v4k5es1kgfkoj"
      ],
      "integration_id": "clwh5u07w000508me66sfh3um",
      "integration_vendor": "RENTMANAGER",
      "property_id": "clwi5xiix000008l6ctdgafyh"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/owners/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/owners/';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/owners/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/owners/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.propexo.com/v1/owners/")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.propexo.com/v1/owners/', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/owners/");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/owners/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```